#main-container {
    min-height: 85vh;
}

#common-loader {
    position: relative;
}

.common-loader-conetent {
    position: absolute;
    top: 400px;
    right: 50%;
    z-index: 9999;
}
.common-loader-backdrop {
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9998;
    position: absolute;
}

.loading-text {
    margin-top: 20%;
    text-align: center;
}

.closebtnmodal {
    background: unset;
    border: 0;
}

.closebtnmodal span i {
    font-size: 23px;
}

.form-submail {
    display: flex;
    justify-content: space-between;
}

.pull-right {
    float: right;
}

label.error {
    color: red;
}

.form-control.error {
    border-color: red;
}

body.loading #main-content {
    display: none;
}

section.panel.panel-info {
    width: 75%;
}

.profile-left .pro-quote {
    padding: 20px 15px 15px;

    color: #748f9e;
}

.pro-quote img {
    width: 100px;
    height: 100px;
    border-radius: 100%;
    border: 1px solid #eee;
}

.pro-quote .author-name {
    margin: 10px 0 5px;
    font-weight: 500;
    color: #212529;
    font-size: 20px;
}

.pro-quote h4 {
    display: block;
    margin: 0 0 10px;
    font-size: 18px;
    color: #212529;
}

.pro-info {
    padding: 15px;
    color: #212529;
    font-weight: 700;
}

.edit-profile_wrapper label {
    font-weight: 500 !important;
}

.pro-info table {
    width: 100%;
}

.pro-info table tr td {
    text-align: left;
    font-size: 14px;
    padding: 7px 0;
    font-weight: 500;
}

.pro-info table tr td:last-child {
    text-align: right;
    font-weight: 500;
}

.profile-left {
    border-radius: 6px;
    background-color: #fff;
}

#image-crop {
    max-width: 100%;
}

.image-crop-box {
    max-width: 400px;
    margin: 20px auto;
}

.pad-lr {
    padding-left: 0px;
    padding-right: 0px;
}

.card-header.borderremove {
    border-bottom: 0;
}

.fa-camera {
    position: relative;
    right: 19px;
    top: -27px;
}

.drop-file {
    width: 100%;
    height: 180px;
    border: 2px solid grey;
    border-radius: 4px;
}

.drop-text {
    margin-top: 65px;
    text-align: center;
    cursor: pointer;
}

.quest-rowline {
    display: flex;
    align-items: center;
    margin-bottom: 0 !important;
    padding: 0;
}

.quest-rowline .nav-link {
    padding: 0.5rem 4rem !important;
}

.btn-primary:hover {
    color: #fff;
    background-color: #000000;
    border-color: #000000;
}

.card-textitam .card-header {
    background: unset !important;
}

.card-textitam .card-header ul li a {
    color: unset !important;
}

.col-cardqust {
    padding-left: 10px;
    padding-right: 10px;
}

img.image-preview {
    width: 100%;
    max-width: 433px;
}

.video-preview {
    width: 100%;
    height: 100%;
    max-width: 333px;
}

.file-preview-item {
    position: relative;
}

.file-preview-item button {
    position: absolute;
    right: 3px;
    top: -9px;
}

.file-preview-item button .fa-xmark {
    font-size: 19px;
    color: white;
    width: 20px;
    height: 20px;
    border-radius: 46px;
}

.form.row {
    margin-top: 15px;
}

.ck.ck-content.ck-editor__editable.ck-rounded-corners.ck-editor__editable_inline.ck-blurred
    p {
    color: #000 !important;
}

.ck.ck-content.ck-editor__editable.ck-rounded-corners.ck-editor__editable_inline.ck-focused
    p {
    color: #000 !important;
}

#template-customizer {
    display: none !important;
}

.breadcrumb-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.checkbox-block {
    margin-top: 10px;
}

.checkbox-block h4 {
    margin-left: 10px;
}

.checkbox-child {
    margin-right: 10px;
}

.cookies-use {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0px;
}

.experience h3,
.experience p {
    margin: 0;
    color: #fff !important;
}

.accept-btn a:not([href]) {
    color: #fff !important;
}

.fixed-cookies {
    position: fixed;
    bottom: 0;
    background: #2f3349;
    /* top: 0; */
    width: 100%;
    padding: 12px 35px;
}

.fixed-cookies-admin {
    position: fixed;
    bottom: 0;
    background: #2f3349;
    width: 77%;
    padding: 12px 35px;
}

@media only screen and (max-width: 575px) {
    .cookies-use {
        display: block;
    }
    div.dt-container div.dt-length, div.dt-container div.dt-search{
        margin-block: 0.5rem;
    }
}

.h-px-44 {
    height: 44px !important;
}

.w-30 {
    width: 30% !important;
}

.navbar-nav .nav-item.active > .nav-link {
    color: #696cff !important;
}
.wrap-td {
    white-space: normal;
    max-width: 260px;
}

.select2-container--default
    .select2-results__option--highlighted[aria-selected] {
    background-color: #000000 !important;
    color: #fff !important;
}
.app-logo-icon {
    display: none;
}
.app-logo-full {
    display: inline;
}

.layout-menu-collapsed .app-logo-full {
    display: none !important;
    transition:  0.5s ease-in-out ;
}
.layout-menu-collapsed .app-logo-icon {
    display: inline !important;
    transition:  0.5s ease-in-out ;
}

.layout-menu-collapsed .layout-menu:hover .app-logo-full {
    display: inline !important;
    transition:  0.5s ease-in-out ;
}
.layout-menu-collapsed .layout-menu:hover .app-logo-icon {
    display: none !important;
    transition:  0.5s ease-in-out ;
}
 @media only screen and (max-width: 1200px){
   .layout-menu-collapsed .layout-menu:hover .app-logo-full {
    display: block !important;
    transition:  0.5s ease-in-out ;
    }
    .layout-menu-collapsed .layout-menu:hover .app-logo-icon {
        display: none !important;
        transition:  0.5s ease-in-out ;
    }
    .layout-menu-collapsed .app-logo-icon {
        display: none !important;
        transition:  0.5s ease-in-out ;
    }
    .app-logo-icon {
        display: none !important;
    }
    .layout-menu-collapsed .app-logo-full {
        display: block !important;
        transition:  0.5s ease-in-out ;
    }
    .app-brand, .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand{
            inline-size: 10.25rem;
    }
}

.menu .app-brand{
    padding-inline: calc(var(--bs-menu-vertical-link-padding-x) * 1.1333) !important;
}
.input-group-text-eamil{
    position: absolute;
    top: 8px;
    left: 12px;
}
.ps-35{
    padding-left: 35px !important;
}

@media only screen and (max-width: 450px){
    .breadcrumb-box{
        flex-direction: column;
        align-items: flex-start;
    }
}

.input-group-icon{
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 9;
    border-right: 1px solid #ced1d5;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 4px 6px;
    height: 100%;
} 

.shadow-none-comm .select2-container .select2-selection--single .select2-selection__rendered{
    padding-left: 39px !important;
}
.input-group.shadow-none-comm:focus-within, .input-group.shadow-none-comm:focus{
    overflow: hidden;
}
.shadow-none-comm .select2-container--default .select2-selection--multiple{
    padding-left: 35px !important;
}
.select-cont .select2-container{
    z-index: 999 !important;
}
.flatpickr-calendar{
    background-color: #fff;
    box-shadow: 0 0.1875rem 0.75rem 0 rgba(47, 43, 61, 0.14);
    z-index: 9;
} 
.select-width .select2-container{
    width: 100% !important;
}
.tagify--focus{
    border-color: #000 !important;
}
.tagify__dropdown__item--active{
    background-color: #000 !important;
}
.tagify__dropdown{
    border-top-color: #000 !important;
}
.tagify__dropdown__wrapper{
     border-color: #000 !important;
}
.flatpickr-day.inRange, .flatpickr-day.prevMonthDay.inRange, 
.flatpickr-day.nextMonthDay.inRange, .flatpickr-day.today.inRange, 
.flatpickr-day.prevMonthDay.today.inRange, .flatpickr-day.nextMonthDay.today.inRange, 
.flatpickr-day:hover, .flatpickr-day.prevMonthDay:hover, .flatpickr-day.nextMonthDay:hover, 
.flatpickr-day:focus, .flatpickr-day.prevMonthDay:focus, .flatpickr-day.nextMonthDay:focus{
    background-color: #f3f2f3;
}
.modal-inport .fallback{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
}
.modal-inport .fallback input{
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
   }
.modal-inport .dz-message:before{
    background: url("data:image/svg+xml,%3csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M4 17V19C4 20.1046 4.89543 21 6 21H18C19.1046 21 20 20.1046 20 19V17' stroke='%23808390' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M7 9L12 4L17 9' stroke='%23808390' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M12 4V16' stroke='%23808390' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
    background-color: #eeedf0 !important;

}
.modal-inport .dropzone{
    border: 1px solid transparent;
    cursor: pointer !important;
}
 .timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left,.timeline-item-right) .timeline-event .timeline-event-time{
        inset-inline-end: -12.2rem !important;
}
 .timeline.timeline-center .timeline-item:nth-of-type(even):not(.timeline-item-left,.timeline-item-right) .timeline-event-time{
        inset-inline-start: -12.2rem;
}
.timeline .timeline-item [class*=timeline-indicator-]{
    background-color: #d5d5db !important;
}
.alert_import.alert-dismissible .btn-close{
    mask-image: none !important;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--single{
    background-color: #2b2c40;
    border: 1px solid #7a7b82;
    border-radius: 4px;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--single .select2-selection__rendered{
    color: #d5d5e2;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--multiple{
       background-color: #2b2c40;
    border: 1px solid #7a7b82;
    border-radius: 4px;
}
[data-bs-theme=dark] .tagify{
   border: 1px solid #7a7b82; 
}
[data-bs-theme=dark] .select2-results__option{
 background-color: #2b2c40;
     color: #d5d5e2;
}
[data-bs-theme=dark] .select2-search--dropdown{
 background-color: #2b2c40;
}
[data-bs-theme=dark] .select2-container--default .select2-search--dropdown .select2-search__field{
    background-color: #2b2c40;
}
[data-bs-theme=dark] .select2-container--default .select2-search--dropdown .select2-search__field:focus-visible{
    outline: none;
}
[data-bs-theme=dark] .tagify__dropdown__wrapper{
    color: #a9a9a9;
    background: #2b2c40;
    border-color: #777777 !important;
}
[data-bs-theme=dark] .tagify--empty .tagify__input::before{
    color: #a9a9a9;
}
[data-bs-theme=dark] .flatpickr-calendar{
    background: #2b2c40;
    box-shadow: 0 0.1875rem 0.75rem 0 rgba(20, 20, 29, 0.22);
}
[data-bs-theme=dark] .flatpickr-monthDropdown-months{
     background: #2b2c40;
}


[data-bs-theme=dark] .flatpickr-day:hover, 
 .flatpickr-day:focus, 
.flatpickr-day.nextMonthDay:focus{
     background: #000000;
}
[data-bs-theme=dark] .flatpickr-day.prevMonthDay:hover{
     background: #000000;
}
[data-bs-theme=dark] .flatpickr-time .flatpickr-am-pm:hover{
     background: #000000;
}
[data-bs-theme=dark] .flatpickr-day.nextMonthDay:hover, 
.flatpickr-day:focus, .flatpickr-day.prevMonthDay:focus, 
.flatpickr-day.nextMonthDay:focus{
     background: #000000;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--multiple .select2-selection__choice{
    background-color: #2b2c40;
}
[data-bs-theme=dark] .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover, 
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:focus{
    background-color: #2b2c40;
    color: #a9a9a9;
}
[data-bs-theme=dark] .dz-preview{
    background-color: #2b2c40;
}
[data-bs-theme=dark] .dz-filename{
    background-color: #2b2c40;
}
[data-bs-theme=dark] .bg-label-primary{
    color: #a9a9a9 !important;
}
[data-bs-theme=dark] .numInputWrapper:hover{
     background: #000000;
}
[data-bs-theme=dark] .btn-primary:hover {
    color: #fff;
    background-color: #42438e;
    border-color: #42438e;
}
.swal2-container{
    z-index: 9999 !important;
}
.select2-container--default .select2-search--dropdown .select2-search__field:focus-visible{
    outline: none;
}
.email_text{
    white-space: normal;
    word-break: break-all;
}
div.dt-container .table.table-bordered.dataTable td:last-child{
    white-space: nowrap;
}
.app-brand{
    width: 100%;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.select2-container .select2-selection--single{
    height: 38px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 38px;
}
.select2-container .select2-selection--multiple{
    min-height: 38px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow{
    top: 7px;
}
/* input[type=number] {
    -moz-appearance: textfield;
}
input[type=number]:hover,
input[type=number]:focus,
input[type=number]:active {
    appearance: textfield;
} */
@media (max-width:767.98px) {
    .timeline.timeline-center .timeline-item:nth-of-type(odd):not(.timeline-item-left,.timeline-item-right) .timeline-event .timeline-event-time{
        inset-inline-end: 0 !important;
    }
    .timeline.timeline-center .timeline-item:nth-of-type(even):not(.timeline-item-left,.timeline-item-right) .timeline-event-time{
        inset-inline-start: 0;
    }
    div.dt-container div.dt-length, div.dt-container div.dt-search {
            margin-block: 0.5rem;
    }
}
@media (max-width:575.98px) {
    .img_card{
        max-width: 120px;
    }
    .message_pagination .page-link{
    min-block-size: calc(2.250863rem + calc(1px * 2));
    min-inline-size: calc(2.250563rem + calc(1px * 2));
    padding: 4px 10px;
    font-size: 13px;
}
}

@media (max-width:375.98px) {
   .message_pagination .page-link{
    min-block-size: calc(1.250863rem + calc(1px * 2));
    min-inline-size: calc(1.250563rem + calc(1px * 2));
    padding: 4px 10px;
    font-size: 13px;
}
    .timeline.timeline-center .timeline-item{
        padding-inline: 2.5rem 1.5rem !important;
    }
    .date_select{
        font-size: 0.7875rem !important;
}
}